## Debootstrap

On RHEL, need to install epel-release and debootstrap.

Bootstrap with:

```
debootstrap --include=curl,gpg,systemd-container --components=main,universe bionic /var/lib/puppet-clone-army/ubuntu-1804 http://archive.ubuntu.com/ubuntu/
```

SELinux will bother things if set to Enforcing mode. Need to figure this one out.

Might be:

  - https://github.com/rkt/rkt/issues/3113
  - https://bugzilla.redhat.com/show_bug.cgi?id=1391118

Looking especially like:

  - https://bugzilla.redhat.com/show_bug.cgi?id=1760146

Might just have to click SELinux into permissive mode until RedHat sorts
their shit out.

Another possible:

  - https://bugzilla.redhat.com/show_bug.cgi?format=multiple&id=1391118

Installing `container-selinux` and changing the context of systemd-nspawn
appears to clear the SELinux error:

  chcon -t container_runtime_exec_t /bin/systemd-nspawn

However, systemd in the container freezes partway through bootup.

Actaully, that looks like it:

  - Install container-selinux
  - Change the context of systemd-nspawn to container_runtime_exec_t
  - Enable container cgroup management: setsebool -P container_manage_cgroup 1

`journalctl -M` isn't acting right. Looks like this may be a consequence of
/var/log/journal not existing.

